package at.xaxa.ledger.data.db

import androidx.room.Embedded
import androidx.room.Relation
import at.xaxa.ledger.data.db.Entry.EntryEntity
import at.xaxa.ledger.data.db.Category.CategoryEntity

data class EntryCategoryRelation(
    @Embedded val entry: EntryEntity,
    @Relation(
        parentColumn = "categoryID",
        entityColumn = "_id"
    )
    val category: CategoryEntity
)
